[oe-commits] org.oe.dev merge of '93c92c2d118afa75e8263141e4da9395b50eea98'

thebohemian commit openembedded-commits at lists.openembedded.org
Sun Feb 10 03:32:41 UTC 2008


merge of '93c92c2d118afa75e8263141e4da9395b50eea98'
     and 'e59aa2cab1515e8858debb81984c8596f07ad7c0'

Author: thebohemian at openembedded.org
Branch: org.openembedded.dev
Revision: 678aafb268a6d6220e4ccfcf905231ac20a5b722
ViewMTN: http://monotone.openembedded.org/revision/info/678aafb268a6d6220e4ccfcf905231ac20a5b722
Files:
1
packages/madwifi/madwifi-ng_r3314-20080131.bb
packages/netbase/netbase/slugos/if-pre-up.d/test-nfsroot
packages/udev/files/slugos/mount.sh
packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24
packages/linux/linux-ixp4xx_2.6.24.bb
packages/netbase/netbase_4.21.bb
packages/slugos-init/files/boot/network
packages/slugos-init/slugos-init_4.8.bb
packages/udev/udev_100.bb
packages/kobodeluxe/kobodeluxe_0.5.1.bb
Diffs:

#
# mt diff -r93c92c2d118afa75e8263141e4da9395b50eea98 -r678aafb268a6d6220e4ccfcf905231ac20a5b722
#
# 
# 
# add_file "packages/madwifi/madwifi-ng_r3314-20080131.bb"
#  content [a662d5dc1ba7995d1e803c773f5fe9a3571f3ce6]
# 
# add_file "packages/netbase/netbase/slugos/if-pre-up.d/test-nfsroot"
#  content [225fbcdfa332608a2c8f1360fc922261f28ba694]
# 
# add_file "packages/udev/files/slugos/mount.sh"
#  content [9e59c21651fc2f3094b4be636f3d58bf29c2b0c7]
# 
# patch "packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24"
#  from [ad1b8632676bd6456ca0ae5a7fbfe7125fe01fb9]
#    to [2358fe351f97ad015b3e58e2534dd17058c60d52]
# 
# patch "packages/linux/linux-ixp4xx_2.6.24.bb"
#  from [8c6ec0c27876836cdbb7b4bef1f61641fe013dd7]
#    to [6df87e421ee2408a059092ec0b63b1393e0c03ce]
# 
# patch "packages/netbase/netbase_4.21.bb"
#  from [af669d9b9d58a59681b0445de61ca6198bb991e1]
#    to [e8599c2f3bf24aaaf6db4afc8fb1f79a74ba059b]
# 
# patch "packages/slugos-init/files/boot/network"
#  from [4fe9fe097faa17da41a09d209399c67df115768c]
#    to [24a86887b19822c0276b0b4206959bddae2cd3c3]
# 
# patch "packages/slugos-init/slugos-init_4.8.bb"
#  from [5c3b2fe18a30d3510095f7868b4e32f248080492]
#    to [f1d83bb6efd47859e2fa618a8f46c7956a5305a5]
# 
# patch "packages/udev/udev_100.bb"
#  from [ba7ba1e986f3e6a91b52b018b80113898d5f8cab]
#    to [72309dab97aeccd4e512bd8d643d6467df4340e8]
# 
============================================================
--- packages/madwifi/madwifi-ng_r3314-20080131.bb	a662d5dc1ba7995d1e803c773f5fe9a3571f3ce6
+++ packages/madwifi/madwifi-ng_r3314-20080131.bb	a662d5dc1ba7995d1e803c773f5fe9a3571f3ce6
@@ -0,0 +1,12 @@
+# Bitbake recipe for the madwifi-ng driver
+
+DEFAULT_PREFERENCE = "-1"
+
+# Disable stripping of kernel modules, since this action strips too
+# much out, and the resulting module won't load.
+INHIBIT_PACKAGE_STRIP = "1"
+
+require madwifi-ng_r.inc
+
+# PR set after the include, to override what's set in the included file.
+# PR = "r1"
============================================================
--- packages/netbase/netbase/slugos/if-pre-up.d/test-nfsroot	225fbcdfa332608a2c8f1360fc922261f28ba694
+++ packages/netbase/netbase/slugos/if-pre-up.d/test-nfsroot	225fbcdfa332608a2c8f1360fc922261f28ba694
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+if [ X"$IFACE" == "Xeth0" ] ; then
+  nfsroot=`grep ' / nfs ' /proc/mounts`
+  if [ -n "$nfsroot" ]; then
+    echo "WARNING: Refusing to ifup eth0 when booted to a nfs-mounted rootfs."
+    exit 1
+  fi
+fi
+exit 0
============================================================
--- packages/udev/files/slugos/mount.sh	9e59c21651fc2f3094b4be636f3d58bf29c2b0c7
+++ packages/udev/files/slugos/mount.sh	9e59c21651fc2f3094b4be636f3d58bf29c2b0c7
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Called from udev
+# Attemp to mount any added block devices 
+# and remove any removed devices
+#
+
+MOUNT="/bin/mount"
+PMOUNT="/usr/bin/pmount"
+UMOUNT="/bin/umount"
+name="`basename "$DEVNAME"`"
+
+for line in `cat /etc/udev/mount.blacklist | grep -v ^#`
+do
+	if ( echo "$DEVNAME" | grep -q "$line" )
+	then
+		logger "udev/mount.sh" "[$DEVNAME] is blacklisted, ignoring"
+		exit 0
+	fi
+done
+
+automount() {	
+	! test -d "/media/$name" && mkdir -p "/media/$name"
+	
+	if ! $MOUNT -t auto -o sync $DEVNAME "/media/$name"
+	then
+		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
+		rm_dir "/media/$name"
+	else
+		logger "mount.sh/automount" "Auto-mount of [/media/$name] successful"
+		touch "/tmp/.automount-$name"
+	fi
+}
+	
+rm_dir() {
+	# We do not want to rm -r populated directories
+	if test "`find "$1" | wc -l | tr -d " "`" -lt 2 -a -d "$1"
+	then
+		! test -z "$1" && rm -r "$1"
+	else
+		logger "mount.sh/automount" "Not removing non-empty directory [$1]"
+	fi
+}
+
+if [ "$ACTION" = "add" ] && [ -n "$DEVNAME" ]; then
+	# SlugOS: we pivot to the rootfs based on UUID, not on fstab -- so the fstab may not
+	# be correct at this point in the boot.  So we must not let udev mount devices based
+	# soley on the fstab, lest we mount overtop the real rootfs.  For now we just comment
+	# out the logic below and let the automount logic (far below) deal with all udev mount
+	# operations.
+	#if [ -x "$PMOUNT" ]; then
+	#	$PMOUNT $DEVNAME 2> /dev/null
+	#elif [ -x $MOUNT ]; then
+	#	$MOUNT $DEVNAME 2> /dev/null
+	#fi
+	
+	# If the device isn't mounted at this point, it isn't configured in fstab
+	# 20061107: Small correction: The rootfs partition may be called just "rootfs" and not by
+	# 	    its true device name so this would break. If the rootfs is mounted on two places
+	#	    during boot, it confuses the heck out of fsck. So Im auto-adding the root-partition
+	#	    to /etc/udev/mount.blacklist via postinst 
+
+	cat /proc/mounts | awk '{print $1}' | grep -q "^$DEVNAME$" || automount 
+	
+fi
+
+
+
+if [ "$ACTION" = "remove" ] && [ -x "$UMOUNT" ] && [ -n "$DEVNAME" ]; then
+	for mnt in `cat /proc/mounts | grep "$DEVNAME" | cut -f 2 -d " " `
+	do
+		$UMOUNT $mnt
+	done
+	
+	# Remove empty directories from auto-mounter
+	test -e "/tmp/.automount-$name" && rm_dir "/media/$name"
+fi
============================================================
--- packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24	ad1b8632676bd6456ca0ae5a7fbfe7125fe01fb9
+++ packages/linux/linux-ixp4xx/nslu2/defconfig-2.6.24	2358fe351f97ad015b3e58e2534dd17058c60d52
@@ -243,6 +243,7 @@ CONFIG_KEXEC=y
 CONFIG_CMDLINE=" noirqdebug console=ttyS0,115200n8"
 # CONFIG_XIP_KERNEL is not set
 CONFIG_KEXEC=y
+CONFIG_ATAGS_PROC=y
 
 #
 # Floating point emulation
============================================================
--- packages/linux/linux-ixp4xx_2.6.24.bb	8c6ec0c27876836cdbb7b4bef1f61641fe013dd7
+++ packages/linux/linux-ixp4xx_2.6.24.bb	6df87e421ee2408a059092ec0b63b1393e0c03ce
@@ -11,7 +11,7 @@ PV = "${KERNEL_RELEASE}+svnr${SRCREV}"
 #PV = "${VANILLA_VERSION}+${KERNEL_RELEASE}+svnr${SRCREV}"
 
 PV = "${KERNEL_RELEASE}+svnr${SRCREV}"
-PR = "r0"
+PR = "r1"
 
 # ${KERNELORG_MIRROR}/pub/linux/kernel/v2.6/patch-${KERNEL_RELEASE}.bz2;patch=1 \
 
============================================================
--- packages/netbase/netbase_4.21.bb	af669d9b9d58a59681b0445de61ca6198bb991e1
+++ packages/netbase/netbase_4.21.bb	e8599c2f3bf24aaaf6db4afc8fb1f79a74ba059b
@@ -1,8 +1,8 @@ LICENSE = "GPL"
 DESCRIPTION = "This package provides the necessary \
 infrastructure for basic TCP/IP based networking."
 SECTION = "base"
 LICENSE = "GPL"
-PR = "r26"
+PR = "r27"
 
 inherit update-rc.d
 
============================================================
--- packages/slugos-init/files/boot/network	4fe9fe097faa17da41a09d209399c67df115768c
+++ packages/slugos-init/files/boot/network	24a86887b19822c0276b0b4206959bddae2cd3c3
@@ -25,7 +25,7 @@ test -z "$iface" && exit 1 
 test -z "$iface" && exit 1 
 #
 # Fire up a process in the background to load the firmware if necessary
-sysf="/sys/class/firmware/$iface"
+sysf="/sys/class/firmware/firmware-$iface"
 (
 	# Wait for the firware to be requested, if required
 	[ -f $sysf/loading ] || sleep 1
============================================================
--- packages/slugos-init/slugos-init_4.8.bb	5c3b2fe18a30d3510095f7868b4e32f248080492
+++ packages/slugos-init/slugos-init_4.8.bb	f1d83bb6efd47859e2fa618a8f46c7956a5305a5
@@ -1,10 +1,10 @@ RDEPENDS = "busybox devio"
 DESCRIPTION = "SlugOS initial network config via sysconf"
 SECTION = "base"
 PRIORITY = "required"
 LICENSE = "GPL"
 DEPENDS = "base-files devio"
 RDEPENDS = "busybox devio"
-PR = "r1"
+PR = "r2"
 
 SRC_URI = "file://boot/flash \
 	   file://boot/disk \
============================================================
--- packages/udev/udev_100.bb	ba7ba1e986f3e6a91b52b018b80113898d5f8cab
+++ packages/udev/udev_100.bb	72309dab97aeccd4e512bd8d643d6467df4340e8
@@ -9,12 +9,13 @@ needed to link programs with libvolume_i
 DESCRIPTION_libvolume-id-dev = "libvolume_id development headers, \
 needed to link programs with libvolume_id."
 
-PR = "r10"
+PR = "r11"
 
 SRC_URI = "${KERNELORG_MIRROR}/pub/linux/utils/kernel/hotplug/udev-${PV}.tar.gz \
 	   file://noasmlinkage.patch;patch=1 \
 	   file://flags.patch;patch=1 \
 	   file://mount.blacklist \
+	   file://mount.sh \
 	   "
 
 require udev.inc


#
# mt diff -re59aa2cab1515e8858debb81984c8596f07ad7c0 -r678aafb268a6d6220e4ccfcf905231ac20a5b722
#
# 
# 
# patch "packages/kobodeluxe/kobodeluxe_0.5.1.bb"
#  from [06dfc0c63f0c42830b88eabc0491d2547473dbe2]
#    to [86d0cc4ba30bab1bfdef84b4944a8f2df96cdac3]
# 
============================================================
--- packages/kobodeluxe/kobodeluxe_0.5.1.bb	06dfc0c63f0c42830b88eabc0491d2547473dbe2
+++ packages/kobodeluxe/kobodeluxe_0.5.1.bb	86d0cc4ba30bab1bfdef84b4944a8f2df96cdac3
@@ -5,7 +5,7 @@ HOMEPAGE = "http://olofson.net/kobodl"
 AUTHOR = "David Olofson <david at olofson.net>"
 HOMEPAGE = "http://olofson.net/kobodl"
 
-PR = "1"
+PR = "r1"
 
 DEPENDS = "libsdl-image virtual/libsdl"
 






More information about the Openembedded-commits mailing list